Debian Bug report logs - #543541
RFH: quilt -- Tool to work with series of patches

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Tue, 25 Aug 2009 17:48:06 UTC

Severity: normal

Done: Martin Quinson <martin.quinson@loria.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, mquinson@debian.org, horms@debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Tue, 25 Aug 2009 17:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, mquinson@debian.org, horms@debian.org, <wnpp@debian.org>. (Tue, 25 Aug 2009 17:48:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: quilt -- Tool to work with series of patches
Date: Tue, 25 Aug 2009 19:45:43 +0200
Package: wnpp
Severity: normal

The quilt package needs supplementary maintainers in order to be well
maintained. The main maintainer Martin Quinson has not enough time
to do all the required work. Simon Horman is co-maintainer but I haven't
seen him doing anything on the package (and the last mention in changelog
dates back to Apr 2007), Simon shall we remove you from the Uploaders?
I am the third maitainer listed in Uploaders but I joined only to
work on the integration with new source package formats (and with build
system in general) and would like to see the package in a better shape but
I don't have the time/will to do all the usual work.

There is lots of work to do:
- update all the patches for the new upstream version (and we have 22
  patches)
  Martin Quinson started this work but he has not yet pushed his work
  in a public branch, hopefully that mail will remind him to do it
- document all the patches and submit them upstream even if they have been
  not very receptive to some of them a few years ago (in particular the
  rewrite of backup-files in shell apparently)
- go through open bug reports and forward them upstream as well

The package is currently maintained in git. If you have any question,
please ask.


The package description is:
 Quilt manages a series of patches by keeping track of the changes
 each of them makes. They are logically organized as a stack, and you can
 apply, un-apply, refresh them easily by traveling into the stack (push/pop).
 .
 Quilt is good for managing additional patches applied to a package received
 as a tarball or maintained in another version control system. The stacked
 organization is proven to be efficient for the management of very large patch
 sets (more than hundred patches). As matter of fact, it was designed by and
 for Linux kernel hackers (Andrew Morton, from the -mm  branch, is the
 original author), and its main use by the current upstream maintainer is to
 manage the (hundreds of) patches against the kernel made for the SUSE
 distribution.
 .
 This package provides seamless integration into Debhelper or CDBS,
 allowing maintainers to easily add a quilt-based patch management system in
 their packages. The package also provides some basic support for those not
 using those tools. See README.Debian for more information.

-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Tue, 25 Aug 2009 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Horman <horms@verge.net.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 25 Aug 2009 22:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 543541@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@verge.net.au>
To: Raphael Hertzog <hertzog@debian.org>, 543541@bugs.debian.org
Subject: Re: Bug#543541: RFH: quilt -- Tool to work with series of patches
Date: Wed, 26 Aug 2009 08:47:33 +1000
On Tue, Aug 25, 2009 at 07:45:43PM +0200, Raphael Hertzog wrote:
> Package: wnpp
> Severity: normal
> 
> The quilt package needs supplementary maintainers in order to be well
> maintained. The main maintainer Martin Quinson has not enough time
> to do all the required work. Simon Horman is co-maintainer but I haven't
> seen him doing anything on the package (and the last mention in changelog
> dates back to Apr 2007), Simon shall we remove you from the Uploaders?

Yes, please do.

> I am the third maitainer listed in Uploaders but I joined only to
> work on the integration with new source package formats (and with build
> system in general) and would like to see the package in a better shape but
> I don't have the time/will to do all the usual work.
> 
> There is lots of work to do:
> - update all the patches for the new upstream version (and we have 22
>   patches)
>   Martin Quinson started this work but he has not yet pushed his work
>   in a public branch, hopefully that mail will remind him to do it
> - document all the patches and submit them upstream even if they have been
>   not very receptive to some of them a few years ago (in particular the
>   rewrite of backup-files in shell apparently)
> - go through open bug reports and forward them upstream as well
> 
> The package is currently maintained in git. If you have any question,
> please ask.
> 
> 
> The package description is:
>  Quilt manages a series of patches by keeping track of the changes
>  each of them makes. They are logically organized as a stack, and you can
>  apply, un-apply, refresh them easily by traveling into the stack (push/pop).
>  .
>  Quilt is good for managing additional patches applied to a package received
>  as a tarball or maintained in another version control system. The stacked
>  organization is proven to be efficient for the management of very large patch
>  sets (more than hundred patches). As matter of fact, it was designed by and
>  for Linux kernel hackers (Andrew Morton, from the -mm  branch, is the
>  original author), and its main use by the current upstream maintainer is to
>  manage the (hundreds of) patches against the kernel made for the SUSE
>  distribution.
>  .
>  This package provides seamless integration into Debhelper or CDBS,
>  allowing maintainers to easily add a quilt-based patch management system in
>  their packages. The package also provides some basic support for those not
>  using those tools. See README.Debian for more information.
> 
> -- 
> Raphaël Hertzog
> 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Wed, 26 Aug 2009 00:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 26 Aug 2009 00:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 543541@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 543541@bugs.debian.org
Subject: Re: Bug#543541: RFH: quilt -- Tool to work with series of patches
Date: Tue, 25 Aug 2009 17:02:24 -0700
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Aug 25, 2009 at 07:45:43PM +0200, Raphael Hertzog wrote:
> Package: wnpp
> Severity: normal
> 
> The quilt package needs supplementary maintainers in order to be well
> maintained. The main maintainer Martin Quinson has not enough time
> to do all the required work. Simon Horman is co-maintainer but I haven't
> seen him doing anything on the package (and the last mention in changelog
> dates back to Apr 2007), Simon shall we remove you from the Uploaders?
> I am the third maitainer listed in Uploaders but I joined only to
> work on the integration with new source package formats (and with build
> system in general) and would like to see the package in a better shape but
> I don't have the time/will to do all the usual work.
> 

I'm willing to help.

> There is lots of work to do:
> - update all the patches for the new upstream version (and we have 22
>   patches)
>   Martin Quinson started this work but he has not yet pushed his work
>   in a public branch, hopefully that mail will remind him to do it
> - document all the patches and submit them upstream even if they have been
>   not very receptive to some of them a few years ago (in particular the
>   rewrite of backup-files in shell apparently)

I'm guessing these two should wait for Martin.

> - go through open bug reports and forward them upstream as well
> 

okay, will look at them.

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Wed, 26 Aug 2009 06:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 26 Aug 2009 06:18:04 GMT) Full text and rfc822 format available.

Message #20 received at 543541@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 543541@bugs.debian.org, mquinson@debian.org
Subject: Re: Bug#543541: RFH: quilt -- Tool to work with series of patches
Date: Wed, 26 Aug 2009 08:11:27 +0200
On Tue, 25 Aug 2009, Ryan Niebur wrote:
> I'm willing to help.

Cool.

> > There is lots of work to do:
> > - update all the patches for the new upstream version (and we have 22
> >   patches)
> >   Martin Quinson started this work but he has not yet pushed his work
> >   in a public branch, hopefully that mail will remind him to do it
> > - document all the patches and submit them upstream even if they have been
> >   not very receptive to some of them a few years ago (in particular the
> >   rewrite of backup-files in shell apparently)
> 
> I'm guessing these two should wait for Martin.

Martin, can you push what you have in a branch (say experimental)?

> > - go through open bug reports and forward them upstream as well
> > 
> 
> okay, will look at them.

Well, we should first verify that they are not fixed in the new upstream
version... so getting some packages of 0.48 is important.

Cheers,
-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Wed, 26 Aug 2009 11:21:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <martin.quinson@loria.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 26 Aug 2009 11:21:21 GMT) Full text and rfc822 format available.

Message #25 received at 543541@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Ryan Niebur <ryanryan52@gmail.com>, 543541@bugs.debian.org, mquinson@debian.org
Subject: Re: Bug#543541: RFH: quilt -- Tool to work with series of patches
Date: Wed, 26 Aug 2009 12:32:18 +0200
Le mercredi 26 août 2009 à 08:11 +0200, Raphael Hertzog a écrit :
> On Tue, 25 Aug 2009, Ryan Niebur wrote:
> > I'm willing to help.
> 
> Cool.

Yep, excellent. We (I) kinda need it.

> > > There is lots of work to do:
> > > - update all the patches for the new upstream version (and we have 22
> > >   patches)
> > >   Martin Quinson started this work but he has not yet pushed his work
> > >   in a public branch, hopefully that mail will remind him to do it
> > > - document all the patches and submit them upstream even if they have been
> > >   not very receptive to some of them a few years ago (in particular the
> > >   rewrite of backup-files in shell apparently)
> > 
> > I'm guessing these two should wait for Martin.
> 
> Martin, can you push what you have in a branch (say experimental)?

Well, I'm trying, but I'm in the middle of the git hell. I did my update
work on a raw directory, not in a git dir. And now that raphaël forked
the 0.46 branch under my feet, I'm falling...

Anyway, I never pushed my work anywhere because it was not working. Some
tests failed.

So, I redid my work. I reran uupdate, and redid the work of changing the
patches so that they apply to the new upstream tarball. The test suite
still don't pass, I still have to dig in to see why. Help welcomed here.

I pushed this into the 0.48 branch of the git collab-maint.

If one of you could help me with the failed tests, that would be more
than welcomed.

> > > - go through open bug reports and forward them upstream as well
> > > 
> > 
> > okay, will look at them.
> 
> Well, we should first verify that they are not fixed in the new upstream
> version... so getting some packages of 0.48 is important.

Indeed. And after the package of 0.48 is done, one big task will be to
get our changes accepted upstream. I tried a few years ago, but upstream
seemed picky about the changes. We should definitely try it again,
because we are kinda forking, which is not good.

Bye, Mt.

-- 
In some cases, there are health benefits to climate change. [...] many
people die from cold-related deaths every winter. And there are studies
that say that climate change in certain areas of the world would help
those individuals.
 -- Dana Perino (White House Press Secretary), October 24, 2007.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Wed, 26 Aug 2009 12:51:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 26 Aug 2009 12:51:41 GMT) Full text and rfc822 format available.

Message #30 received at 543541@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Martin Quinson <martin.quinson@loria.fr>
Cc: Ryan Niebur <ryanryan52@gmail.com>, 543541@bugs.debian.org, mquinson@debian.org
Subject: Re: Bug#543541: RFH: quilt -- Tool to work with series of patches
Date: Wed, 26 Aug 2009 14:09:59 +0200
On Wed, 26 Aug 2009, Martin Quinson wrote:
> Well, I'm trying, but I'm in the middle of the git hell. I did my update
> work on a raw directory, not in a git dir. And now that raphaël forked
> the 0.46 branch under my feet, I'm falling...

Right, we should somewhat agree on our git usage. I suggest to use
some of the git-buildpackage helper tools to manage our repository.

I just used git-importorig to update the upstream branch with version 0.47
followed by version 0.48. I configured it to use pristine-tar too so that
we can recreate the orig tarball from the git repo.

I suggest to not use the auto-generation of the changelog for now and keep
managing it manually.

The process is then:
- branch away from master if wanted (I used experimental)
- merge upstream release 0.48
- add new changelog entry
- fixup what needs to be fixed

I just did that and pushed the resulting experimental branch. It contains
your changes only for now but we're ready for further work in that branch.
I removed your 0.48 branch for clarity.

Note that we never want to commit changes to upstream files in our
repository. Changes to upstream files should be managed with quilt (heh).

If you have questions, feel free to ask.

Cheers,
-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Fri, 04 Dec 2009 08:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <dapal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 04 Dec 2009 08:36:06 GMT) Full text and rfc822 format available.

Message #35 received at 543541@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 543541@bugs.debian.org
Cc: Martin Quinson <martin.quinson@loria.fr>, hertzog@debian.org
Subject: Offering help for quilt
Date: Fri, 4 Dec 2009 09:30:44 +0100
[Message part 1 (text/plain, inline)]
Hello,
I'm willing to help with the quilt package as well.
Will look through the bugreports, and possibly provide patches.

Anyhow, I'll wait for some ack before committing anything to git :)

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Fri, 04 Dec 2009 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 04 Dec 2009 09:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 543541@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: David Paleino <dapal@debian.org>
Cc: 543541@bugs.debian.org, Martin Quinson <martin.quinson@loria.fr>
Subject: Re: Offering help for quilt
Date: Fri, 4 Dec 2009 10:51:19 +0100
Hi David,

On Fri, 04 Dec 2009, David Paleino wrote:
> I'm willing to help with the quilt package as well.
> Will look through the bugreports, and possibly provide patches.
> 
> Anyhow, I'll wait for some ack before committing anything to git :)

Thanks, currently we rather need help on upstreaming our patches. That
means documenting the patches and forwarding them as git patches ready to
be merged in the upstream git repo. You need to subscribe to the
quilt-dev@nongnu.org mailing list.

Pleases subcribe to the PTS with the CVS keyword too so that you get git
commit notices.

We want to fork less rather than more. :-)

Cheers,
-- 
Raphaël Hertzog




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#543541; Package wnpp. (Fri, 04 Dec 2009 10:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <dapal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 04 Dec 2009 10:33:06 GMT) Full text and rfc822 format available.

Message #45 received at 543541@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 543541@bugs.debian.org, Martin Quinson <martin.quinson@loria.fr>
Subject: Re: Offering help for quilt
Date: Fri, 4 Dec 2009 11:25:05 +0100
[Message part 1 (text/plain, inline)]
On Friday 04 December 2009 10:51:19, Raphael Hertzog wrote:
> On Fri, 04 Dec 2009, David Paleino wrote:
> > I'm willing to help with the quilt package as well.
> > Will look through the bugreports, and possibly provide patches.
> >
> > Anyhow, I'll wait for some ack before committing anything to git :)
> 
> Thanks, currently we rather need help on upstreaming our patches. That
> means documenting the patches and forwarding them as git patches ready to
> be merged in the upstream git repo. You need to subscribe to the
> quilt-dev@nongnu.org mailing list.

Ok, done via gmane.

> Pleases subcribe to the PTS with the CVS keyword too so that you get git
> commit notices.

I just subscribed bts, cvs and contact.

> We want to fork less rather than more. :-)

Sure :)

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#543541; Package wnpp. (Tue, 08 May 2012 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 May 2012 17:00:02 GMT) Full text and rfc822 format available.

Message #50 received at 543541@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 543541@bugs.debian.org
Subject: can this be closed?
Date: Tue, 8 May 2012 18:57:33 +0200

Thomas Koch, http://www.koch.ro




Reply sent to Martin Quinson <martin.quinson@loria.fr>:
You have taken responsibility. (Thu, 27 Dec 2012 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Thu, 27 Dec 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #55 received at 543541-done@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: 543541-done@bugs.debian.org
Subject: I'm better, thanks
Date: Thu, 27 Dec 2012 16:46:15 +0100
Hello,

help is still welcome on the quilt package and I would be more than
happy to move toward a team maintainance, but I have some more time to
devote to the package. And since upstream is very responsive nowadays,
I'm closing this bug requesting for help.

Thanks for the fish,
Mt

-- 
Le problème, ce n'est pas l'internet. Le problème, c'est l'insécurité
désastreuse de tous ces ordinateurs reliés à l'internet. Il vaudrait
mieux réécrire Windows que TCP/IP. -- Bruce Schneier



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Jan 2013 07:26:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:34:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.